Class Index | File Index

## Classes

- _global_
- Color
- fabric
- fabric.Circle
- fabric.Element
- fabric.Ellipse
- fabric.Group
- fabric.Image
- fabric.Intersection
- fabric.Line
- fabric.Object
- fabric.Path
- fabric.PathGroup
- fabric.Point
- fabric.Polygon
- fabric.Polyline
- fabric.Rect
- fabric.Text
- fabric.Triangle

# Namespace fabric

Defined in: object.class.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fabric

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fabric.log(Values) Wrapper around `console.log` (when available)
<static> | fabric.parseAttributes(element, attributes) Returns an object of attributes' name/value, given element and an array of attribute names; Parses parent "g" nodes recursively upwards.
<static> | fabric.parseElements(elements, options)
<static> | fabric.parsePointsAttribute(points)
<static> | fabric.parseStyleAttribute(element)
<static> | fabric.parseSVGDocument(doc, callback)
<static> | fabric.parseTransformAttribute(attributeValue)
<static> | fabric.warn(Values) Wrapper around `console.warn` (when available)

Namespace Detail
fabric
Method Detail
<static> fabric.log(Values)
Wrapper around `console.log` (when available)
Defined in: fabric.js.

Parameters:
{Any} Values
  to log

<static> {Object} fabric.parseAttributes(element, attributes)
Returns an object of attributes' name/value, given element and an array of attribute names; Parses parent "g" nodes recursively upwards.
Defined in: parser.js.

Parameters:
{DOMElement} element
  Element to parse
{Array} attributes
  Array of attributes to parse

Returns:
  {Object} object containing parsed attributes' names/values

<static> {Array} fabric.parseElements(elements, options)
Defined in: parser.js.

Parameters:
{Array} elements
  Array of elements to parse
{Object} options
  Options object

Returns:
  {Array} Array of corresponding instances (transformed from SVG elements)

<static> {Array} fabric.parsePointsAttribute(points)
Defined in: parser.js.

Parameters:
points
  {String} points attribute string

Returns:
  {Array} array of points

<static> {Object} fabric.parseStyleAttribute(element)
Defined in: parser.js.

Parameters:
{SVGElement} element
  Element to parse

Returns:
  {Object} Objects with values parsed from style attribute of an element

<static> fabric.parseSVGDocument(doc, callback)
Defined in: parser.js.

Parameters:
{SVGDocument} doc
  SVG document to parse
{Function} callback
  Callback to call when parsing is finished; It's being passed an array of elements (parsed from a document).

<static> {Array} fabric.parseTransformAttribute(attributeValue)
Defined in: parser.js.

Parameters:
attributeValue
  {String} string containing attribute value

Returns:
  {Array} array of 6 elements representing transformation matrix

<static> fabric.warn(Values)
Wrapper around `console.warn` (when available)
Defined in: fabric.js.

Parameters:
{Any} Values
  to log as a warning

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 14 2010 16:34:25 GMT-0400 (EDT)